# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 4) do

  create_table "folders", :force => true do |t|
    t.column "name",          :string
    t.column "date_modified", :datetime
    t.column "user_id",       :integer,  :default => 0
    t.column "parent_id",     :integer,  :default => 0
    t.column "is_root",       :boolean,  :default => false
  end

  add_index "folders", ["name"], :name => "index_folders_on_name"
  add_index "folders", ["date_modified"], :name => "index_folders_on_date_modified"
  add_index "folders", ["user_id"], :name => "index_folders_on_user_id"
  add_index "folders", ["parent_id"], :name => "index_folders_on_parent_id"
  add_index "folders", ["is_root"], :name => "index_folders_on_is_root"

  create_table "group_permissions", :force => true do |t|
    t.column "folder_id",  :integer, :default => 0
    t.column "group_id",   :integer, :default => 0
    t.column "can_create", :boolean, :default => false
    t.column "can_read",   :boolean, :default => false
    t.column "can_update", :boolean, :default => false
    t.column "can_delete", :boolean, :default => false
  end

  add_index "group_permissions", ["folder_id"], :name => "index_group_permissions_on_folder_id"
  add_index "group_permissions", ["group_id"], :name => "index_group_permissions_on_group_id"
  add_index "group_permissions", ["can_create"], :name => "index_group_permissions_on_can_create"
  add_index "group_permissions", ["can_read"], :name => "index_group_permissions_on_can_read"
  add_index "group_permissions", ["can_update"], :name => "index_group_permissions_on_can_update"
  add_index "group_permissions", ["can_delete"], :name => "index_group_permissions_on_can_delete"

  create_table "groups", :force => true do |t|
    t.column "name",                        :string
    t.column "is_the_administrators_group", :boolean, :default => false
  end

  add_index "groups", ["name"], :name => "index_groups_on_name"
  add_index "groups", ["is_the_administrators_group"], :name => "index_groups_on_is_the_administrators_group"

  create_table "groups_users", :id => false, :force => true do |t|
    t.column "group_id", :integer, :default => 0
    t.column "user_id",  :integer, :default => 0
  end

  add_index "groups_users", ["group_id", "user_id"], :name => "index_groups_users_on_group_id_and_user_id"

  create_table "myfiles", :force => true do |t|
    t.column "filename",      :string
    t.column "filesize",      :integer
    t.column "date_modified", :datetime
    t.column "folder_id",     :integer,  :default => 0
    t.column "user_id",       :integer,  :default => 0
    t.column "indexed",       :boolean,  :default => false
  end

  add_index "myfiles", ["filename"], :name => "index_myfiles_on_filename"
  add_index "myfiles", ["filesize"], :name => "index_myfiles_on_filesize"
  add_index "myfiles", ["date_modified"], :name => "index_myfiles_on_date_modified"
  add_index "myfiles", ["folder_id"], :name => "index_myfiles_on_folder_id"
  add_index "myfiles", ["user_id"], :name => "index_myfiles_on_user_id"
  add_index "myfiles", ["indexed"], :name => "index_myfiles_on_indexed"

  create_table "usages", :force => true do |t|
    t.column "download_date_time", :datetime
    t.column "myfile_id",          :integer,  :default => 0
    t.column "user_id",            :integer,  :default => 0
  end

  add_index "usages", ["download_date_time"], :name => "index_usages_on_download_date_time"
  add_index "usages", ["myfile_id"], :name => "index_usages_on_myfile_id"
  add_index "usages", ["user_id"], :name => "index_usages_on_user_id"

  create_table "users", :force => true do |t|
    t.column "name",                 :string
    t.column "email",                :string
    t.column "hashed_password",      :string
    t.column "is_the_administrator", :boolean, :default => false
    t.column "password_salt",        :string
    t.column "rss_access_key",       :string
  end

  add_index "users", ["name"], :name => "index_users_on_name"
  add_index "users", ["email"], :name => "index_users_on_email"
  add_index "users", ["hashed_password"], :name => "index_users_on_hashed_password"
  add_index "users", ["is_the_administrator"], :name => "index_users_on_is_the_administrator"
  add_index "users", ["password_salt"], :name => "index_users_on_password_salt"
  add_index "users", ["rss_access_key"], :name => "index_users_on_rss_access_key"

end
